commit:     2413eac2345dd2af841601fb5ac9a1381f5c38fd
Author:     Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Sun Nov  6 15:37:15 2016 +0000
Commit:     Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Mon Nov  7 21:46:55 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2413eac2

media-plugins/kipi-plugins: 5.3.0 version bump

Package-Manager: portage-2.3.0

Signed-off-by: Johannes Huber <johu <AT> gentoo.org>

 media-plugins/kipi-plugins/Manifest                |  1 +
 .../kipi-plugins/kipi-plugins-5.3.0.ebuild         | 85 ++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/media-plugins/kipi-plugins/Manifest 
b/media-plugins/kipi-plugins/Manifest
index 32c254b..73b18a9 100644
--- a/media-plugins/kipi-plugins/Manifest
+++ b/media-plugins/kipi-plugins/Manifest
@@ -2,3 +2,4 @@ DIST digikam-4.14.0.tar.bz2 59805228 SHA256 
9d7bcb689d8c29be2e81976f0a043220f442
 DIST digikam-4.4.0.tar.bz2 68871203 SHA256 
5c68a2d200f5b502706128ea64839319aad333fb79548f49ecc92594e280d4e9 SHA512 
4992fad1e574fc44eac53f3ac8d4ab78ccbf8e04beb54a211a9afc20af1efb6f8bacedea07e403f490e7f70a74ed5ac02d4f9b939dfaf25f64a4a9bda0a7d94a
 WHIRLPOOL 
7a05ab9926227232a1cf52bf68da45b849b982e840b171f702610acce85a1ce8e59967a02e845a0ef19c316daee835861573aca40dc7b28422cf7d6d56119e2c
 DIST digikam-5.1.0.tar.xz 68259780 SHA256 
47915e2e41ded21071309c0b387495bd66f6cc488acbfa647d2d8d57595127f1 SHA512 
aa6b6b2a2f40dc6e1e90549d3b1cdcd2e886d16cfa4bb140093b67366b4aeaa3ebab96f0a28b1aeb969dca1fa64f8377bb8af44da4feeb4356e1f884357aaa86
 WHIRLPOOL 
c09afdcc67fa0643f84f4b026227eb6f6c651369b1452e670d4c4451d967a78c968ec56a39f724d726f251d5fb51411214aa723860a23e936ce282a7285d89bc
 DIST digikam-5.2.0.tar.xz 143583460 SHA256 
cf243fc1518b5bb6e289573c76d89b5fdcc50be89f6312b276af3320763c9260 SHA512 
483c2331f8f1a145ffd04bfdfe3f3e7e68f7ac4458b8b1698339dc89433d7820548fc461a5acf163997bab086b5faed6dd635af996f2503213a6207603603b4d
 WHIRLPOOL 
9df54368afa4c31791102211a334568c9301082899fa7970b88dcec2047ded299c0a4dc92ccc1d6db3c2efc71be7e78349d6289b68414b6cfbe76bcc0c6fb930
+DIST digikam-5.3.0.tar.xz 121417224 SHA256 
b36cfa27278936d41ab5f33c99fe9ccdfd545eada3e1e32efe9f9e3fdf2c3e5c SHA512 
6190944d09badec6ddac194f2029e86d0ef658e08a6a120f04c86109dc2b9d9cd2e772a900d09781b563fcd0caaff186fb5fd6cde9744ce3b4e8dcc9ff29d421
 WHIRLPOOL 
c1c0987e23587356968484d936a0a99f10d6e6ce004ffe1f5eb4d0a42b59fc1e84ec4a03f491c91c93be172ab6b78444c684221fb515e1562cc76bcc61346158

diff --git a/media-plugins/kipi-plugins/kipi-plugins-5.3.0.ebuild 
b/media-plugins/kipi-plugins/kipi-plugins-5.3.0.ebuild
new file mode 100644
index 00000000..5bcebc1
--- /dev/null
+++ b/media-plugins/kipi-plugins/kipi-plugins-5.3.0.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+CMAKE_MIN_VERSION="3.0"
+KDE_TEST="true"
+inherit kde5
+
+DESCRIPTION="Plugins for the KDE Image Plugin Interface"
+HOMEPAGE="https://www.digikam.org/";
+
+LICENSE="GPL-2+"
+KEYWORDS="~amd64 ~x86"
+IUSE="flashexport mediawiki +remotestorage vkontakte"
+
+if [[ ${KDE_BUILD_TYPE} = release ]]; then
+       MY_PV="${PV/_/-}"
+       MY_P="digikam-${MY_PV}"
+
+       if [[ ${PV} =~ beta[0-9]$ ]]; then
+               SRC_BRANCH="unstable"
+       else
+               SRC_BRANCH="stable"
+       fi
+
+       SRC_URI="mirror://kde/${SRC_BRANCH}/digikam/${MY_P}.tar.xz"
+
+       S="${WORKDIR}/${MY_P}/extra/${PN}"
+fi
+
+COMMON_DEPEND="
+       $(add_frameworks_dep kcompletion)
+       $(add_frameworks_dep kconfig)
+       $(add_frameworks_dep kconfigwidgets)
+       $(add_frameworks_dep kcoreaddons)
+       $(add_frameworks_dep ki18n)
+       $(add_frameworks_dep kwindowsystem)
+       $(add_frameworks_dep kxmlgui)
+       $(add_kdeapps_dep libkipi '' '' '5=')
+       $(add_qt_dep qtgui)
+       $(add_qt_dep qtnetwork)
+       $(add_qt_dep qtprintsupport)
+       $(add_qt_dep qtsvg)
+       $(add_qt_dep qtwidgets)
+       $(add_qt_dep qtxml)
+       $(add_qt_dep qtxmlpatterns)
+       flashexport? ( $(add_frameworks_dep karchive) )
+       mediawiki? ( net-libs/libmediawiki:5 )
+       remotestorage? ( $(add_frameworks_dep kio) )
+       vkontakte? ( net-libs/libkvkontakte:5 )
+"
+DEPEND="${COMMON_DEPEND}
+       $(add_qt_dep qtconcurrent)
+       sys-devel/gettext
+"
+RDEPEND="${COMMON_DEPEND}
+       !media-plugins/kipi-plugins:4
+"
+
+src_prepare() {
+       if [[ ${KDE_BUILD_TYPE} = release ]]; then
+               if [[ ${SRC_BRANCH} = stable ]]; then
+                       # prepare the translations
+                       mv "${WORKDIR}/${MY_P}/po" po || die
+                       find po -name "*.po" -and -not -name "kipiplugin*.po" 
-delete || die
+                       echo "find_package(Gettext REQUIRED)" >> CMakeLists.txt 
|| die
+                       echo "add_subdirectory( po )" >> CMakeLists.txt || die
+               fi
+       fi
+
+       kde5_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               $(cmake-utils_use_find_package flashexport KF5Archive)
+               $(cmake-utils_use_find_package mediawiki KF5MediaWiki)
+               $(cmake-utils_use_find_package remotestorage KF5KIO)
+               $(cmake-utils_use_find_package vkontakte KF5Vkontakte)
+       )
+
+       kde5_src_configure
+}

Reply via email to